Skip to main content
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
List repositories available to an organization
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      },
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Permissions

Requires a service user with the Read permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 100
filter_name
string | null
only_repo_paths
string[] | null
exclude_repo_paths
string[] | null
load_indexing_status
boolean
default:true

Response

Successful Response

items
RepositoryResponse · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).